Package com.enonic.xp.portal

## Enum RenderMode

- java.lang.Object
- - java.lang.Enum<RenderMode>
  - - com.enonic.xp.portal.RenderMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<RenderMode>`

      @PublicApi
      public enum RenderMode
      extends Enum<RenderMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADMIN` |
    `EDIT` |
    `INLINE` |
    `LIVE` |
    `PREVIEW` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RenderMode` | `from​(String value)` |
    `static RenderMode` | `from​(String value, RenderMode defaultValue)` |
    `String` | `toString()` |
    `static RenderMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static RenderMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EDIT

          public static final RenderMode EDIT

    - #### PREVIEW

          public static final RenderMode PREVIEW

    - #### LIVE

          public static final RenderMode LIVE

    - #### ADMIN

          public static final RenderMode ADMIN

    - #### INLINE

          public static final RenderMode INLINE

  - ### Method Detail

    - #### values

          public static RenderMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RenderMode c : RenderMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RenderMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RenderMode>`

    - #### from

          public static RenderMode from​(String value)

    - #### from

          public static RenderMode from​(String value,
                                        RenderMode defaultValue)